## pympd 0.07

=== Makefile ===
# pympd Makefile

PYTHON=`which python`
PREFIX=/usr/local
DESTDIR=/
RELEASE=lazy03
PACKAGE=pympd
all: clean trayicon.so 
	sed -i "s|PREFIX|$(PREFIX)|g" pympd
	$(PYTHON) setup.py build
	
install: all 
	make -C src/modules/tray install
	$(PYTHON) setup.py install --prefix $(PREFIX) --root $(DESTDIR)
trayicon.so:
	make -C src/modules/tray

clean:
	$(PYTHON) setup.py clean

## pympd 0.08.1-0ubuntu1

=== src/modules/tray/Makefile ===

# Set the C flags to include the GTK+ and Python libraries
    PYTHONVER = `python -c 'import sys; print sys.version[:3]'`
    CFLAGS = `pkg-config --cflags gtk+-2.0 pygtk-2.0` -fPIC -I/usr/include/python$(PYTHONVER) -I. -DEGG_COMPILATION=1
    LDFLAGS = `pkg-config --libs gtk+-2.0 pygtk-2.0`

    install: trayicon.so
	cp *.so ../

    all: trayicon.so 

    # Build the shared objects
    trayicon.so: trayicon.o eggtrayicon.o trayiconmodule.o
	$(CC) $(LDFLAGS) -shared $^ -o $@

    # The path to the GTK+ python types
    DEFS=`pkg-config --variable=defsdir pygtk-2.0`

    # Generate the C wrapper from the defs and our override file
    trayicon.c: trayicon.defs trayicon.override
	pygtk-codegen-2.0 --prefix trayicon \
	--register $(DEFS)/gdk-types.defs \
	--register $(DEFS)/gtk-types.defs \
	--override trayicon.override \
	trayicon.defs > $@

    # A rule to clean the generated files
    clean:
	rm -f trayicon.so *.o trayicon.c gtkspell.so *~  

    .PHONY: clean

=== debian/changelog ===
pympd (0.08.1-0ubuntu1) natty; urgency=low

  * New upstrea release (LP: #719778) 

 -- Tarun Kumar Mall <c2tarun@gmail.com>  Wed, 16 Feb 2011 09:37:13 +0530

pympd (0.07-2) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group.
  * Move python-all-dev from Build-Depends-Indep to Build-Depends.
  * Set XS-Python-Version to >= 2.4.
  * Force unversioned #!/usr/bin/python shebangs (closes: #594129).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 15 Sep 2010 21:23:42 +0200

pympd (0.07-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    - Pass --prefix=/usr to setup.py (Closes: #557921).
  * debian/control:
    - Add Homepage field (Closes: #380476).
  * debian/watch:
    - Fix watch file, thanks Raphael Geissert (Closes: #449846).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 08 Dec 2009 17:05:10 +0100

pympd (0.07-1.2) unstable; urgency=low

  * Non-maintainer upload.
    - Rebuild in current environment, for the python2.5 transition
      (Closes: #476714)

 -- John Wright <jsw@debian.org>  Fri, 02 May 2008 18:08:39 -0600

pympd (0.07-1.1) unstable; urgency=low

  * Non-maintainer upload.
    - Change XB-Python-Version to current (Closes: #385643) 

 -- Alexander Wirt <formorer@debian.org>  Sat,  9 Sep 2006 11:47:39 +0200

pympd (0.07-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Dropped deletion of CVS-dirs.
  * Dropped 01_fix_executables.dpatch.

 -- Franz Pletz <fpletz@franz-pletz.org>  Mon, 17 Jul 2006 16:45:07 +0200

pympd (0.06.1-2) unstable; urgency=low

  * Overall conformance to new Python policy.
  * debian/rules:
    - Added python-central support.
    - Building and installing for all installed Python versions.
  * debian/control:
    - Added XS-Python-Version and XB-Python-Version.
    - Moved mpd from Depends to Recommends.
    - Added mpd-client to Provides.
    - Build-Depend on new debhelper and python-central.
    - Depend on python-glade2 instead of python-gtk2. (Closes: #375977)
  * Added debian/pycompat.
  * Increased debian/compat to 5.
  * Removed debian/dirs.

 -- Franz Pletz <fpletz@franz-pletz.org>  Sun, 29 Jun 2006 14:13:38 +0200

pympd (0.06.1-1) unstable; urgency=low

  * Initial release. (Closes: #368966)
  * Temporary lintian warning source-contains-CVS-dir. Will be fixed in
    next upstream release.
  * 01_fix_executables.dpatch: Removed shebangs from modules (not executable)
  * Wrote manpage for pympd.

 -- Franz Pletz <fpletz@franz-pletz.org>  Sun, 28 May 2006 13:58:56 +0200

=== debian/control ===
Source: pympd
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3), dpatch
Build-Depends-Indep: python-central (>= 0.5), docbook-to-man
Standards-Version: 3.7.2
XS-Python-Version: >= 2.4
Homepage: http://pympd.sourceforge.net/

Package: pympd
Architecture: all
Depends: ${python:Depends}, python-glade2 (>= 2.6)
XB-Python-Version: ${python:Versions}
Provides: mpd-client
Recommends: mpd (>= 0.11)
Description: Frontend for mpd in the style of rhythmbox and itunes
 Pympd is a frontend for mpd in the style of rhythmbox and itunes,
 written in python, with pygtk. Pympd itself is not a music player, but
 is actually a frontend to mpd, a daemon for playing and managing music.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -r)

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	
	set -e; \
	for python in $(PYVERS); \
	    do $$python setup.py build --executable=/usr/bin/python; \
	done
	docbook-to-man debian/pympd.sgml > pympd.1

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	for python in $(PYVERS); \
	    do $$python setup.py clean; \
	done
	rm -rf build pympd.1

	dh_clean 

patch-stamp:
	dpatch apply-all
	touch patch-stamp

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	set -e; \
	for python in $(PYVERS); \
	    do $$python setup.py install --root=debian/pympd --prefix=/usr; \
	done

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman pympd.1
	dh_compress
	dh_fixperms
	dh_pycentral
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -r)

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	
	set -e; \
	for python in $(PYVERS); \
	    do $$python setup.py build --executable=/usr/bin/python; \
	done
	docbook-to-man debian/pympd.sgml > pympd.1

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	for python in $(PYVERS); \
	    do $$python setup.py clean; \
	done
	rm -rf build pympd.1

	dh_clean 

patch-stamp:
	dpatch apply-all
	touch patch-stamp

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	set -e; \
	for python in $(PYVERS); \
	    do $$python setup.py install --root=debian/pympd --prefix=/usr; \
	done

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman pympd.1
	dh_compress
	dh_fixperms
	dh_pycentral
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/pympd/pympd-(.*)\.tar\.gz debian uupdate
version=3
http://sf.net/pympd/pympd-(.*)\.tar\.gz debian uupdate
